Skip to main content
POST
Create a physical typed table and runtime schema metadata.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Bound to actor, operation, target, schema version and canonical payload; changed input returns 409.

Required string length: 8 - 255

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Body

application/json
name
string
required
Required string length: 1 - 255
description
string | null
Maximum string length: 4096
fields
object[]
Maximum array length: 200

Response

Authorised operation result.

table
object
required
fields
object[]
required
Maximum array length: 200
uniqueRules
object[]
required
Maximum array length: 16
operators
object
required
limits
object
required
schemaOperationId
string
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$